src/EV/AdminBundle/Entity/Document.php
<?php

namespace EV\AdminBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\HttpFoundation\File\UploadedFile;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * Document
 *
 * @ORM\Table()
 * @ORM\Entity(repositoryClass="EV\AdminBundle\Entity\DocumentRepository")
 * @ORM\HasLifecycleCallbacks
 */
class Document {

    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="url", type="string", length=255, nullable=true)
     */
    private $url;

    /**
     * @var string
     *
     * @ORM\Column(name="alt", type="string", length=255, nullable=true)
     */
    private $alt;

    /**
     * @Assert\File(
     *      maxSize="10M",
     *      maxSizeMessage = "Le fichier choisi est trop grand"
     * )
     */
    public $file;
    public $tempFilename;

    public function setFile(UploadedFile $file) {
        $this->file = $file;
        if (null !== $this->url) {
            $this->tempFilename = $this->url;
            $this->url = null;
        }
    }

    /**
     * @ORM\PrePersist()
     * @ORM\PreUpdate()
     */
    public function preUpload() {
        if (null === $this->file) {
            return;
        }
        $this->url = $this->file->guessExtension();
        $this->alt = $this->file->getClientOriginalName();
    }

    /**
     * @ORM\PostPersist()
     * @ORM\PostUpdate()
     */
    public function upload() {
        if (null === $this->file) {
            return;
        }
        if (null !== $this->tempFilename) {
            $oldFile = $this->getUploadRootDir() . '/' . $this->id . '.' . $this->tempFilename;
            if (file_exists($oldFile)) {
                unlink($oldFile);
            }
        }
        $this->file->move(
                $this->getUploadRootDir(), $this->id . '.' . $this->url
        );
    }

    /**
     * @ORM\PreRemove()
     */
    public function preRemoveUpload() {
        $this->tempFilename = $this->getUploadRootDir() . '/' . $this->id . '.' . $this->url;
    }

    /**
     * @ORM\PostRemove()
     */
    public function removeUpload() {
        if (file_exists($this->tempFilename)) {
            unlink($this->tempFilename);
        }
    }

    public function getUploadDir() {
        return 'uploads/document';
    }

    protected function getUploadRootDir() {
        return __DIR__ . '/../../../../web/' . $this->getUploadDir();
    }

    public function getWebPath() {
        return $this->getUploadDir() . '/' . $this->getId() . '.' . $this->getUrl();
    }

    public function getMosusImageSize() {
        return getimagesize($this->getWebPath());
    }

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId() {
        return $this->id;
    }


    /**
     * Set url
     *
     * @param string $url
     * @return Document
     */
    public function setUrl($url)
    {
        $this->url = $url;

        return $this;
    }

    /**
     * Get url
     *
     * @return string 
     */
    public function getUrl()
    {
        return $this->url;
    }

    /**
     * Set alt
     *
     * @param string $alt
     * @return Document
     */
    public function setAlt($alt)
    {
        $this->alt = $alt;

        return $this;
    }

    /**
     * Get alt
     *
     * @return string 
     */
    public function getAlt()
    {
        return $this->alt;
    }
}

src/EV/AdminBundle/Controller/AlerteController.php
<?php

namespace EV\AdminBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;

class AlerteController extends Controller
{
    public function listAction()
    {
      $em = $this->getDoctrine()->getManager();
      $alertes = $em->getRepository('EVAdminBundle:ZoneInsalubre')->findAll();
        return $this->render('EVAdminBundle:Alerte:list.html.twig', array(
          'alertes'=>$alertes
        ));
    }
}

src/EV/AdminBundle/Resources/views/Alerte/list.html.twig
{% extends '::base_admin.html.twig' %}
{% block body %}
<div class="content">
  <div class="content-fluid">
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="header">
            <h4 class="title">Alertes</h4>
          </div>
          <div class="content table-responsive table-full-width">
            <table class="table table-striped">
              <thead>
                <tr>
                  <th>ID</th>
                  <th>Photo</th>
                  <th>Lieu</th>
                  <th>Auteur</th>
                  <th>Date</th>
                  <th>Description</th>
                  <th>Coords.</th>
                  <th>Etat</th>
                  <th>Campagne</th>
                  <th>Commentaire</th>
                  <th>Action</th>
                </tr>
              </thead>
              <tbody>
                {% for a in alertes %}
                <tr>
                  <td>{{loop.index}}</td>
                  <td>{% if a.photo %}<img src="{{asset(a.photo.webPath)}}" style="width: 50px"/>{% endif %}</td>
                  <td>
                    {% if a.ville %}
                    {{a.ville.libelle}}
                    {% endif %}
                    {% if a.quartier %}
                    ({{a.quartier.libelle}} )
                    {% endif %}
                  </td>
                  <td>{{a.particulier.nom}} {{a.particulier.prenom}}</td>
                  <td>{{a.date|date('d-m-Y à H:i:s')}}</td>
                  <td>{{a.description}}</td>
                  <td>
                    {{a.lat|number_format(5, '.', ',')}} <br/>
                     {{a.lon|number_format(5, '.', ',')}}</td>
                  <td>{% if a.actif %}Visible{% else %}Non visible {% endif %}</td>
                  <td>{% if a.campagneCreer %}Oui{% else %}Non  {% endif %}</td>
                  <td>{{a.nbreCommentaire}}</td>
                  <td>-</td>
                </tr>
                {% endfor %}
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
{% endblock %}